# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ponsic"
version = "1.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple, fast, and safe library for creating Windows GUI applications."
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/Anglebase/ThePonsic.git"
resolver = "2"

[package.metadata.docs.rs]
default-target = "x86_64-pc-windows-msvc"
targets = [
    "aarch64-pc-windows-msvc",
    "i686-pc-windows-msvc",
    "x86_64-pc-windows-msvc",
]

[lib]
name = "ponsic"
path = "src/lib.rs"

[[example]]
name = "main_window"
path = "examples/main_window.rs"

[[example]]
name = "window"
path = "examples/window.rs"

[dependencies]

[target."cfg(windows)".dependencies.ponsic-winsafe]
version = "1.2.0"
